#include <iostream>
#include <vector>
using namespace std;

int main() {
    int N, L;
    cin >> N >> L;

    unsigned long long int niz[N];
    int r = 0;
    bool sve= true;

    for ( unsigned long long int i = 0; i < N; i++) {
        cin >> niz[i];
    }
    for ( unsigned long long int i = 0; i < N; i++) {
    if(N<=0 || L<=0)
        return 0;
    }
    for ( unsigned long long int i = 0; i < N; i++) {
        if (niz[i] < L) {
            r++;
            sve=false;
            cout << "Stao je na stalagmitu " << niz[i] << " na poziciji " << i + 1 << endl;
        } else {
            cout << "-1" << endl;
            return 0;
        }
    }
    cout << r << endl;

    return 0;
}